#include <bits/stdc++.h>

using namespace std;

#define ll long long

ll brojNacina(string s)
{
	ll n = s.size();
	// ako imam neko slovo koje nije u redosledu
	// njega samo izbacim
	// ne racune se konacno
	for (int i = 0; i < s.size()-1; i++)
	{
		if (s[i] > s[i+1])
		{
			s = s.substr(0, i+1) + s.substr(i+2, n);
			//cout << s[i] << " " << s[i+1] << "\n";
			// nije sortirano
		}
	}
	return 0;
}

int main()
{
	ll n=0;
	cin >> n;
	string s;
	cin >> s;
	cout << brojNacina(s);
	return 0;
}